cURL
curl --request POST \ --url https://api.mpcvault.com/v1/getSigningRequestDetails \ --header 'Content-Type: application/json' \ --header 'x-mtoken: <api-key>' \ --data ' { "uuid": "<string>" } '
{ "signingRequest": { "uuid": "<string>", "status": "STATUS_UNSPECIFIED", "txHash": "<string>", "vaultUuid": "<string>", "aptosMessage": { "type": "TYPE_UNSPECIFIED", "from": "<string>", "content": { "address": "<string>", "application": "<string>", "chainId": "<string>", "message": "<string>", "nonce": "<string>" } }, "failedReason": "<string>", "creationTimestamp": 123, "notes": "<string>", "simulation": "aSDinaTvuI8gbWludGxpZnk=", "evmInputDataDecode": { "function": "<string>", "args": [ { "name": "<string>", "type": "<string>", "data": "<string>" } ] } }, "error": { "executeSigningRequestsErrorCode": "EXECUTE_SIGNING_REQUESTS_ERROR_CODE_UNSPECIFIED", "message": "<string>" } }
Get full details and status of a signing request.
Your API token. Required for all API requests.
The unique identifier of the signing request.
Success
Show child attributes
Was this page helpful?